<?php

namespace App\Traits;

trait WithRoleSelector
{
    public function selectAllRoles()
    {
        $this->form->role_ids = array_keys($this->roles);
    }

    public function deselectAllRoles()
    {
        $this->form->role_ids = [];
    }
}
